# Don't send/accept icmp redirects
net/ipv4/conf/all/accept_redirects = 0
net/ipv4/conf/all/accept_source_route = 0
net/ipv4/conf/all/send_redirects = 0
net/ipv4/conf/all/shared_media = 0

net/ipv4/conf/default/accept_redirects = 0
net/ipv4/conf/default/accept_source_route = 0
net/ipv4/conf/default/send_redirects = 0
net/ipv4/conf/default/shared_media = 0

# Log tcp/ip martians
net/ipv4/conf/default/log_martians = 1
net/ipv4/conf/all/log_martians = 1

# icmp stuff
net/ipv4/icmp_echo_ignore_all = 0
net/ipv4/icmp_echo_ignore_broadcasts = 1
net/ipv4/icmp_ignore_bogus_error_responses = 1

# icmp tweak
#net/ipv4/icmp_echoreply_rate = 100
#net/ipv4/icmp_timeexceed_rate = 100

# set to 1 if you have a router
net/ipv4/ip_forward = 0

#net/ipv4/ip_default_ttl = 128
#net/ipv4/ip_local_port_range = 6666     32768

net/ipv4/tcp_max_syn_backlog = 4096

#default#net.ipv4.ipfrag_time = 30
net.ipv4.ipfrag_time = 15

#default#net/ipv4/tcp_keepalive_time = 7200
net/ipv4/tcp_keepalive_time = 3600

#default#net/ipv4/tcp_fin_timeout = 60
net/ipv4/tcp_fin_timeout = 45

#
net/ipv4/tcp_ecn = 1
net/ipv4/tcp_syncookies = 1
net/ipv4/tcp_timestamps = 1

# set to 511 or 1023 (power of 2 minus 1)
# default 31
vm/max-readahead = 511 

fs/file-max = 32768

#default#vm/page-cluster = 3
vm/page-cluster = 6

#default#net/ipv4/ip_conntrack_max = 16376
net/ipv4/ip_conntrack_max = 32782

kernel.random.poolsize = 8192

# tcp/ip tweak - window size
net/core/rmem_max = 262144
net/core/wmem_max = 262144
net/core/rmem_default = 262144
net/core/wmem_default = 262144

# window size
#The commonly used formula for working out the the tcp buffer is the "bandwidth delay product" one:
#
#      Buffer size = Bandwidth (bits/s) * RTT (seconds)
#
#In my case, I have roughly 8Mbps downstream, but the ATM network can only support ~3.5Mbps sustained.
#I'm far away from the rest of the world, so to squeeze in a sufficient amount of 1,500 byte packets,
#with average RTTs of 250ms, I should probably have a buffer of (3,500,000/8)*.25 = 106KB.
#(I've got 128KB at the moment, which works fine.)
